# Created by pyp2rpm-3.3.5
%global pypi_name azure-identity

Name:           python-%{pypi_name}
Version:        1.10.0
Release:        %mkrel 1
Summary:        Microsoft Azure Identity Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/master/sdk/identity/azure-identity
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(azure-core) 
BuildRequires:  python3dist(cryptography) 
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(msal) 
BuildRequires:  python3dist(msal-extensions)
BuildRequires:  python3dist(six)

%description
Azure Identity simplifies
authentication across the Azure SDK. It supports token authentication using an
Azure Active Directory.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure Identity simplifies
authentication across the Azure SDK. It supports token authentication using an
Azure Active Directory.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install


%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/azure
%{python3_sitelib}/azure_identity-%{version}.dist-info



%changelog
* Thu Jul 14 2022 papoteur <papoteur> 1.10.0-1.mga9
+ Revision: 1868848
- imported package python-azure-identity

